//package cn.iocoder.yudao.module.shipment.controller.admin;
//
//import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
//import org.springframework.web.bind.annotation.*;
//import javax.annotation.Resource;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.security.access.prepost.PreAuthorize;
//import io.swagger.annotations.*;
//import javax.validation.constraints.*;
//import javax.validation.*;
//import javax.servlet.http.*;
//import java.util.*;
//import java.io.IOException;
//import cn.iocoder.yudao.framework.common.pojo.PageResult;
//import cn.iocoder.yudao.framework.common.pojo.CommonResult;
//import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;
//import cn.iocoder.yudao.framework.excel.util.ExcelUtils;
//import cn.iocoder.yudao.framework.operatelog.core.annotations.OperateLog;
//import static cn.iocoder.yudao.framework.operatelog.core.enums.OperateTypeEnum.*;
//import cn.iocoder.yudao.module.shipment.vo.boxCheckoutAir.*;
//import cn.iocoder.yudao.module.shipment.dal.dataobject.BoxCheckoutAirDO;
//import cn.iocoder.yudao.module.shipment.convert.BoxCheckoutAirConvert;
//import cn.iocoder.yudao.module.shipment.service.boxCheckoutAir.BoxCheckoutAirService;
//
//@Validated
//@RestController
//@Api(tags = "管理后台 - 出仓-空运")
//@RequestMapping("/shipment/box-checkout-air")
//public class BoxCheckoutAirController {
//
//    @Resource
//    private BoxCheckoutAirService boxCheckoutAirService;
//
//    @PostMapping("/create")
//    @ApiOperation("创建出仓-空运")
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:create')")
//    public CommonResult<Long> createBoxCheckoutAir(@Valid @RequestBody BoxCheckoutAirCreateReqVO createReqVO) {
//        return success(boxCheckoutAirService.createBoxCheckoutAir(createReqVO));
//    }
//
//    @PutMapping("/update")
//    @ApiOperation("更新出仓-空运")
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:update')")
//    public CommonResult<Boolean> updateBoxCheckoutAir(@Valid @RequestBody BoxCheckoutAirUpdateReqVO updateReqVO) {
//        boxCheckoutAirService.updateBoxCheckoutAir(updateReqVO);
//        return success(true);
//    }
//
//    @DeleteMapping("/delete")
//    @ApiOperation("删除出仓-空运")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:delete')")
//    public CommonResult<Boolean> deleteBoxCheckoutAir(@RequestParam("id") Long id) {
//        boxCheckoutAirService.deleteBoxCheckoutAir(id);
//        return success(true);
//    }
//
//    @GetMapping("/get")
//    @ApiOperation("获得出仓-空运")
//    @ApiImplicitParam(name = "id", value = "编号", required = true, example = "1024", dataTypeClass = Long.class)
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:query')")
//    public CommonResult<BoxCheckoutAirBackVO> getBoxCheckoutAir(@RequestParam("id") Long id) {
//        BoxCheckoutAirDO boxCheckoutAir = boxCheckoutAirService.getBoxCheckoutAir(id);
//        return success(BoxCheckoutAirConvert.INSTANCE.convert(boxCheckoutAir));
//    }
//
//    @GetMapping("/list")
//    @ApiOperation("获得出仓-空运列表")
//    @ApiImplicitParam(name = "ids", value = "编号列表", required = true, example = "1024,2048", dataTypeClass = List.class)
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:query')")
//    public CommonResult<List<BoxCheckoutAirBackVO>> getBoxCheckoutAirList(@RequestParam("ids") Collection<Long> ids) {
//        List<BoxCheckoutAirDO> list = boxCheckoutAirService.getBoxCheckoutAirList(ids);
//        return success(BoxCheckoutAirConvert.INSTANCE.convertList(list));
//    }
//
//    @GetMapping("/page")
//    @ApiOperation("获得出仓-空运分页")
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:query')")
//    public CommonResult<PageResult<BoxCheckoutAirBackVO>> getBoxCheckoutAirPage(@Valid BoxCheckoutAirQueryVO query, PageVO page) {
//        PageResult<BoxCheckoutAirDO> pageResult = boxCheckoutAirService.getBoxCheckoutAirPage(query, page);
//        return success(BoxCheckoutAirConvert.INSTANCE.convertPage(pageResult));
//    }
//
//    @GetMapping("/export-excel")
//    @ApiOperation("导出出仓-空运 Excel")
//    @PreAuthorize("@ss.hasPermission('shipment:box-checkout-air:export')")
//    @OperateLog(type = EXPORT)
//    public void exportBoxCheckoutAirExcel(@Valid BoxCheckoutAirQueryVO query,
//              HttpServletResponse response) throws IOException {
//        List<BoxCheckoutAirDO> list = boxCheckoutAirService.getBoxCheckoutAirList(query);
//        // 导出 Excel
//        List<BoxCheckoutAirBackVO> datas = BoxCheckoutAirConvert.INSTANCE.convertList(list);
//        ExcelUtils.write(response, "出仓-空运.xls", "数据", BoxCheckoutAirBackVO.class, datas);
//    }
//}
