package cn.iocoder.yudao.module.shipment.controller.app.airCheckout;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.vo.PageVO;
import cn.iocoder.yudao.module.shipment.service.boxAirCheckout.BoxAirCheckoutService;
import cn.iocoder.yudao.module.shipment.vo.boxAirCheckout.BoxAirCheckoutPDAVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.framework.common.pojo.CommonResult.success;

@Validated
@RestController
@Api(tags = "app-web - 空运出仓")
@RequestMapping("/ecw/box-air-checkout")
public class AppBoxAirCheckoutController {

    @Resource
    private BoxAirCheckoutService boxAirCheckoutService;

    @GetMapping("/page")
    @ApiOperation("获得空运出仓分页")
    public CommonResult<PageResult<BoxAirCheckoutPDAVO>> getBoxAirCheckoutPage(@RequestParam(value = "selfNo",required = false) String selfNo, PageVO page) {
        PageResult<BoxAirCheckoutPDAVO> pageResult = boxAirCheckoutService.getBoxAirCheckout4PDAPage(selfNo, page);
        return success(pageResult);
    }
}
